View Issue Details

IDProjectCategoryView StatusLast Update
12426Development Otherpublic2017-11-14 16:57
ReporterelissaAssigned ToLouisGac 
PrioritynoneSeverityminor 
Status acknowledgedResolutionfixed 
Product Version2.5x 
Target VersionFixed in Version 
Summary12426: The "Reset start/end date/time?" option of copying a survey doesn't work
DescriptionSetting the "Reset start/end date/time?" to "On" when copying the survey has no effect on the copied survey - it has the same start and expiration dates as the original survey. The dates are not reset.
Steps To ReproduceSee description
TagsNo tags attached.

Activities

user14106

2017-06-06 19:09

  ~43834

https://github.com/LimeSurvey/LimeSurvey/pull/719
LouisGac

LouisGac

2017-06-07 17:43

developer   ~43859

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22937
elissa

elissa

2017-11-14 15:49

reporter   ~45078

There still is a problem. Setting reset end date to ON when copying the survey has no effect. LS 2.72.3+171020
LouisGac

LouisGac

2017-11-14 16:57

developer   ~45079

fix has been pushed to develop branch, not master.
it will be released with LS3

Related Changesets

LimeSurvey: develop 750218b8

2017-06-07 17:43:33

user14106


Committer: LouisGac Details Diff
Fixed issue 12426: The "Reset start/end date/time?" option of copying a survey doesn't work (#719)
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2017-05-25 09:31 elissa New Issue
2017-06-06 19:07 user14106 Assigned To => user14106
2017-06-06 19:07 user14106 Status new => assigned
2017-06-06 19:09 user14106 Note Added: 43834
2017-06-06 19:10 user14106 Status assigned => acknowledged
2017-06-07 17:43 LouisGac Changeset attached => LimeSurvey develop 750218b8
2017-06-07 17:43 LouisGac Note Added: 43859
2017-06-07 17:43 LouisGac Assigned To user14106 => LouisGac
2017-06-07 17:43 LouisGac Resolution open => fixed
2017-11-14 15:49 elissa Note Added: 45078
2017-11-14 16:57 LouisGac Note Added: 45079